(function () {
	function pageScroll () {
		var $body = $('body'),
			scrollCheck = function () {
				if (scrollY > 5)
				{
					$body.addClass('scrolled');
				}
				else
				{
					$body.removeClass('scrolled');
				}
			};
		$(window).on('scroll', scrollCheck);
		scrollCheck();
	}

	function windowResize() {
		var $nav = $('nav'),
			$navA = $nav.find('a'),
			$sections = $('[data-section]'),
			$header = $('header'),

			sectionActive = function () {
				var active = '#about', target = scrollY + innerHeight;
				if (scrollY > $header.height()) {
					$.each($sections, function (index, item) {
						var $e = $(item), offs = $e.offset();
						if (target >= offs.top){
							active = $e.data('section');
						}
					});
				}
				$navA.removeClass('active');
				$nav.find('[href="' + active + '"]').addClass('active');
			};
		$(window).on('scroll resize', sectionActive);
		sectionActive();
	}

	function smoothScroll() {
		var scroll = new SmoothScroll('nav a');
	}

	// function contactEmail() {
	// 	var s = [
	// 		60, 97, // start tag
	// 		32,
	// 		104, 114, 101, 102, 61, 34, // attr
	// 		109, 97, 105, 108, 116, 111, // value part 1
	// 		58, // :
	// 		115, 64, 115, 99, 111, 116, 116, 107, 46, 110, 101, 116, // value part 2
	// 		34, // close attr
	// 		62, // close start tag
	// 		67, 111, 110, 116, 97, 99, 116, 32, 109, 101, //text
	// 		60, 47, 97, 62 // close tag
	// 	], temp = '';
		
	// 	s.forEach (function (i) {
	// 		temp += String.fromCharCode(i);
	// 	});
	// 	$('#c').append(temp);
	// }

	function submitContact() {
		function clearForm() {
			clearInput('comments');
			clearInput('name');
			clearInput('email');
		}
		function clearInput(name) {
			getByName(name).value = '';
		}
		function getByName(name) {
			return document.querySelector(`[name="${name}"]`);
		}
		function getInputValueByName(name) {
			return getByName(name).value;
		}
		const contactForm = document.querySelector('[data-form="contact"');
		const contactThankYou = document.querySelector('[data-thanks="contact"]');
		contactForm.addEventListener('submit', (event) => {
			event.preventDefault();
			const data = {
					sessionSeed:	getInputValueByName('sessionSeed'),
					formKey:		getInputValueByName('formKey'),
					comments:		getInputValueByName('comments'),
					name:			getInputValueByName('name'),
					email:			getInputValueByName('email')
				},
				ajax = new XMLHttpRequest;
			ajax.onload = function (response) {
				if (ajax.statusText == 'OK') {
					clearForm();
					contactForm.className += ' hidden';
					contactThankYou.className = contactThankYou.className.replace('hidden', '');
				}
			}
			ajax.open('post', contactForm.getAttribute('action'));
			ajax.setRequestHeader('Content-type', 'application/json');
			ajax.send(JSON.stringify(data));
		});
	}

	pageScroll();
	windowResize();
	smoothScroll();
	// contactEmail();
	submitContact();
}());