<?php

namespace ScottK\Lib\Bootstrap;

use ScottK\Lib\Templates\Template;

class Bootstrap
{
	public static function boot($jsonConfig)
	{
		$config = json_decode($jsonConfig);
		Template::set('cache', $config->site->cache);
		Template::set('site.pageDescription', $config->site->description);
		Template::set('site.pageTitle', $config->site->title);
		Template::load('home');
	}

	public static function loadConfig($configFileName)
	{
		$fullPath = codePath([
			CONFIG_RELATIVE_PATH, $configFileName
		]) . '.json';
		return file_get_contents($fullPath);
	}
}