<?php

namespace ScottK\Lib\Request;

use ScottK\Lib\Request\RequestArray;

class Request
{
	protected static $post = null;
	protected static $serverArray = null;

	protected static function isJson($serverArray)
	{
		return strtolower($serverArray->item(SERVER_VARIABLE_CONTENT_TYPE)) == CONTENT_TYPE_JSON
			|| strtolower($serverArray->item(SERVER_VARIABLE_CONTENT_TYPE2)) == CONTENT_TYPE_JSON;
	}

	protected static function loadPost()
	{
		if (! self::$post)
		{
			self::$serverArray = new RequestArray($_SERVER);
			if (self::isJson(self::$serverArray))
			{
				self::$post = json_decode(file_get_contents('php://input'));
			}
			else
			{
				self::$post = (object)$_POST;
			}
		}
		return self::$post;
	}

	public static function post($name)
	{
		return (property_exists(self::loadPost(), $name))
			? self::loadPost()->$name
			: '';
	}
}