<?php

require_once('./.base-code-path.php');
require_once(BASE_CODE_PATH . 'code-includes.php');

use ScottK\Lib\Database\Database;
use ScottK\Lib\Request\Request;

$sessionSeed = Request::post('sessionSeed');
$formSeeds = config('formKeySeeds');
$key = generateFormKey($formSeeds->contact, $sessionSeed);

$formIsValid = ($key === Request::post('formKey'))
	&& (Request::post('comments') > '');
if ($formIsValid)
{
	Database::insert('contacts', [
		'comments' => Request::post('comments'),
		'name' => Request::post('name'),
		'email' => Request::post('email')
	]);
	apiResponse(HTTP_RESPONSE_STATUS_OK);
}
else
{
	apiResponse(HTTP_RESPONSE_STATUS_BAD_REQUEST);
}