<article class="work-sample">
	<h3>NXTCLB</h3>
	<div class="flex-container">
		<div class="img">
			<div class="video-container">
				<video
					controls
					preload="metadata"
					src="/vids/nxtclb-preview-original.mp4#t=0.001"
				></video>
			</div>
		</div>
		<section>
			<p>NXTCLB is currently under development and should be ready for alpha testing fairly soon.</p>
			<p>I am the architect, developer, and designer of this SaaS targeted at facilitating secure communications through private channels. Channel administrators are in control rather than opaque constantly-shifting algorithms and invasive tracking needs of advertisers.</p>
			<p>NXTCLB is built on:</p>
			<ul>
				<li>PHP/Laravel</li>
				<li>OpenSSL/JS Crypto API</li>
				<li>SHA256/RSA4096/AES256</li>
				<li>MySQL/MariaDB</li>
				<li>Vue JS/JS/jQuery</li>
				<li>Laravel Echo/Socket.IO</li>
				<li>Nginx/PHP-FPM/NodeJS</li>
				<li>SASS/Zurb Foundation</li>
				<li>Laravel Mix/Webpack</li>
			</ul>
			<p>The video is a preview of the current build showing the process of signing up, creating a channel, and positing two messages to the channel.</p>
		</section>
	</div>
</article>