create database if not exists scottknet;
create user if not exists `scottknet`@`localhost` identified by 'scottkdev';
grant all on scottknet.* to `scottknet`@`localhost`;
flush privileges;

use scottknet;

drop table if exists contacts;

create table contacts (
	id bigint unsigned not null auto_increment primary key,
	submitted timestamp default now(),
	was_sent smallint not null default false,
	comments text not null,
	name varchar(255) null default null,
	email varchar(255) null default null,

	index contact_sent_index(was_sent, submitted)
);